hi,欢迎访问本站!
当前位置: 首页编程开发正文

linux安装composer的方法教程

墨初 编程开发 955阅读

composer 是php 5.3 版本以上用来管理依赖关系的工具,你可以在自已的项目中声明所依赖的外部工具库,并使用 composer 来安装它们。现在越来越多的 php 框架或sdk都需要 composer 来安装,比如 thinkphp 6.0 以上的版本和腾讯云的一些sdk等等,基于这种情况,我们来简单的介绍下在linux宝塔面板下安装composer的方法。

Linux安装composer的教程

注意:在安装composer之前需要先安装好php环境。

1、执行下面的命令下载composer 安装文件

curl -sS https://getcomposer.org/installer | php

linux安装composer的方法教程

注意:composer 下载完成后,会在当在前目录下出现一个 composer.phar 文件。

(1)、在composer.phar 同一目录下执行下面的命令可实现局部调用,前提是php已安装并且已是全局命令

php composer

(2)、如果全局使用composer 可继续查看下面的步骤

2、全局安装 composer

mv composer.phar /usr/local/bin/composer

3、查看 composer 是否安装成功

composer -v

linux安装composer的方法教程

4、提示错误

Do not run Composer as root/super user! See https://getcomposer.org/root for details

linux安装composer的方法教程

如果在使用composer时出现了上面的错识提示,只需要切换到普通的系统账号即可!因为composer不建议使用root账号去使用它,不然有安全类的风险。

composer 的相关命令

1、更换composer镜像源

(1)、phpcomposer 源

composer config -g repo.packagist composer https://packagist.phpcomposer.com

(2)、阿里云composer源

composer config repo.packagist composer https://mirrors.aliyun.com/composer/

(3)、腾讯云composer源

composer config -g repos.packagist composer https://mirrors.cloud.tencent.com/composer/

2、更新 composer 命令

composer self-update

3、清除 composer 缓存

composer clear

4、查看 composer 配置

composer config -g -l

5、composer 升级到某个版本

composer self-update --版本

6、查看composer 当前的版本号

composer -v

7、composer 安装依赖包

composer install "厂商/类库"

8、composer 更新依赖包

composer update "厂商/类库"

9、composer 删除依赖包

composer remove "厂商/类库"

10、composer 卸载/删除

rm -rf composer目录

ps:可使用下面的命令查看 composer 的目录

whereis composer
标签:
声明:无特别说明,转载请标明本文来源!